src/base/cs_calcium.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Typedefs | Enumerations | Functions
cs_calcium.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <dlfcn.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_base.h"`
`#include "cs_calcium.h"`
Include dependency graph for cs_calcium.c:

## Macros
#define | CS_CALCIUM_INSTANCE_LEN 72
#define | CS_CALCIUM_VARIABLE_LEN 144

## Typedefs
typedef int( | cs_calcium_yacsinit_t )(void)
typedef int( | cs_calcium_connect_t )(void *component, char *s)
typedef int( | cs_calcium_disconnect_t )(void *component, int cont)
typedef int( | cs_calcium_read_int_t )(void *component, int time_dep, float *min_time, float *max_time, int *iteration, char *var_name, int n_val_max, int *n_val_read, int val[])
typedef int( | cs_calcium_read_float_t )(void *component, int time_dep, float *min_time, float *max_time, int *iteration, char *var_name, int n_val_max, int *n_val_read, float val[])
typedef int( | cs_calcium_read_double_t )(void *component, int time_dep, double *min_time, double *max_time, int *iteration, char *var_name, int n_val_max, int *n_val_read, double val[])
typedef int( | cs_calcium_write_int_t )(void *component, int time_dep, float cur_time, int iteration, char *var_name, int n_val, int val[])
typedef int( | cs_calcium_write_float_t )(void *component, int time_dep, float cur_time, int iteration, char *var_name, int n_val, float val[])
typedef int( | cs_calcium_write_double_t )(void *component, int time_dep, double cur_time, int iteration, char *var_name, int n_val, double val[])

## Enumerations
enum | cs_calcium_datatype_t { CALCIUM_integer, CALCIUM_real, CALCIUM_double, CALCIUM_complex, CALCIUM_string, CALCIUM_logical }

## Functions
int | cs_calcium_connect (int comp_id, char *s)
int | cs_calcium_disconnect (int comp_id, cs_calcium_continuation_t cont)
int | cs_calcium_read_int (int comp_id, cs_calcium_timedep_t time_dep, double *min_time, double *max_time, int *iteration, const char *var_name, int n_val_max, int *n_val_read, int val[])
int | cs_calcium_read_float (int comp_id, cs_calcium_timedep_t time_dep, double *min_time, double *max_time, int *iteration, const char *var_name, int n_val_max, int *n_val_read, float val[])
int | cs_calcium_read_double (int comp_id, cs_calcium_timedep_t time_dep, double *min_time, double *max_time, int *iteration, const char *var_name, int n_val_max, int *n_val_read, double val[])
int | cs_calcium_write_int (int comp_id, cs_calcium_timedep_t time_dep, double cur_time, int iteration, const char *var_name, int n_val, const int val[])
int | cs_calcium_write_float (int comp_id, cs_calcium_timedep_t time_dep, double cur_time, int iteration, const char *var_name, int n_val, const float val[])
int | cs_calcium_write_double (int comp_id, cs_calcium_timedep_t time_dep, double cur_time, int iteration, const char *var_name, int n_val, const double val[])
void | cs_calcium_set_component (int comp_id, void *comp)
void | cs_calcium_set_verbosity (int n_echo)
void | cs_calcium_load_yacs (const char *lib_path)
void | cs_calcium_unload_yacs (void)
void | cs_calcium_start_yacs (void)

## Macro Definition Documentation

#define CS_CALCIUM_INSTANCE_LEN 72

#define CS_CALCIUM_VARIABLE_LEN 144

## Typedef Documentation

typedef int( cs_calcium_connect_t)(void *component, char *s)

typedef int( cs_calcium_disconnect_t)(void *component, int cont)

typedef int( cs_calcium_read_double_t)(void *component, int time_dep, double *min_time, double *max_time, int *iteration, char *var_name, int n_val_max, int *n_val_read, double val[])

typedef int( cs_calcium_read_float_t)(void *component, int time_dep, float *min_time, float *max_time, int *iteration, char *var_name, int n_val_max, int *n_val_read, float val[])

typedef int( cs_calcium_read_int_t)(void *component, int time_dep, float *min_time, float *max_time, int *iteration, char *var_name, int n_val_max, int *n_val_read, int val[])

typedef int( cs_calcium_write_double_t)(void *component, int time_dep, double cur_time, int iteration, char *var_name, int n_val, double val[])

typedef int( cs_calcium_write_float_t)(void *component, int time_dep, float cur_time, int iteration, char *var_name, int n_val, float val[])

typedef int( cs_calcium_write_int_t)(void *component, int time_dep, float cur_time, int iteration, char *var_name, int n_val, int val[])

typedef int( cs_calcium_yacsinit_t)(void)

## Enumeration Type Documentation

enum cs_calcium_datatype_t

Enumerator
CALCIUM_integer |
CALCIUM_real |
CALCIUM_double |
CALCIUM_complex |
CALCIUM_string |
CALCIUM_logical |

## Function Documentation

int cs_calcium_connect | ( | int | comp_id,
|  | char * | s
| ) |  |

int cs_calcium_disconnect | ( | int | comp_id,
|  | cs_calcium_continuation_t | cont
| ) |  |

void cs_calcium_load_yacs | ( | const char * | lib_path | ) |

int cs_calcium_read_double | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double * | min_time,
|  | double * | max_time,
|  | int * | iteration,
|  | const char * | var_name,
|  | int | n_val_max,
|  | int * | n_val_read,
|  | double | val[]
| ) |  |

int cs_calcium_read_float | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double * | min_time,
|  | double * | max_time,
|  | int * | iteration,
|  | const char * | var_name,
|  | int | n_val_max,
|  | int * | n_val_read,
|  | float | val[]
| ) |  |

int cs_calcium_read_int | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double * | min_time,
|  | double * | max_time,
|  | int * | iteration,
|  | const char * | var_name,
|  | int | n_val_max,
|  | int * | n_val_read,
|  | int | val[]
| ) |  |

void cs_calcium_set_component | ( | int | comp_id,
|  | void * | comp
| ) |  |

void cs_calcium_set_verbosity | ( | int | n_echo | ) |

void cs_calcium_start_yacs | ( | void |  | ) |

void cs_calcium_unload_yacs | ( | void |  | ) |

int cs_calcium_write_double | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double | cur_time,
|  | int | iteration,
|  | const char * | var_name,
|  | int | n_val,
|  | const double | val[]
| ) |  |

int cs_calcium_write_float | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double | cur_time,
|  | int | iteration,
|  | const char * | var_name,
|  | int | n_val,
|  | const float | val[]
| ) |  |

int cs_calcium_write_int | ( | int | comp_id,
|  | cs_calcium_timedep_t | time_dep,
|  | double | cur_time,
|  | int | iteration,
|  | const char * | var_name,
|  | int | n_val,
|  | const int | val[]
| ) |  |